#include <iostream>
using namespace std;
int main()
{
	long long int N,i,j;
    cin>>N;
    double  A[N],P[N],max,x;
    for(i=0;i<N;i++)
    {
    	cin>>A[i]>>P[i];
	}
	for(i=0;i<N;i++)
	{
		x=0;
		for(j=0;j<N;j++)
		{
			if(P[i]<=P[j])
			x+=(P[i]/100)*A[j];
		}	
		if(x>=max)
		max=x;
	}
	cout<<max;
    return 0;
}